body input, select {
	letter-spacing: -0.2px;
}

/* form bottom 간격 */
.form-group {
	margin-bottom: 10px !important;
}

/* label bottom 제거 */
label {
	margin-bottom: 0px !important;
}

/* 로딩 모달 위치 */
.loding-modal {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 100px;
	margin: -50px 0 0 -50px;
}

/* 상단 로고 이미지 */
.skin-1 .navbar-minimalize {
	background: none !important;
	border-color: #FFF !important;
}

/* 상단 헤더 메뉴 */
.header-icon {
	color:#FFF;
}

.header-icon-pd {
	color:#1586e4;
}

/* 상단 헤더 메뉴 */
.navbar-header-icon a {
	color: #b9b9b9; 
}

.navbar-alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}
.navbar-alert {
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
	float: right;
	top: 10px; 
	left: -30px;
	width: 60%;
	z-index: 2000;
}

.navbar-ststus {
	padding: 5px 30px 5px 30px;
	margin-bottom: 5px;
	margin-top: 5px;
	margin-right: 15px;
    border: 1px solid transparent;
    border-radius: 0.25rem;
	float: right;
	width: 57%;
	z-index: 2000;
}

/* 상단 이벤트 상태 */
.event-icon-header {
	position: relative;
}

.event-icon-text {
	position: absolute;
	top: 5px;
	left: 6px;
}

/* 상단 언어 */
ul.dropdown-menu.dropdown-alerts.show {
	right: 0;
	left: auto;
}

/* 상단 왼족 메뉴 */
.navbar-top-links {
	padding-right: 30px;
}

.skin-1 .navbar-top-links li:last-child {
	margin-right: 0px !important;
}

/* 트리 아이콘 설정 
.jstree-open > .jstree-anchor > .fa-folder:before {
	content: "\f07b";
	color: #ef9308;
}
.jstree-closed > .jstree-anchor > .fa-folder:before {
	content: "\f07b";
	color: #ef9308;
}
.jstree-leaf > .jstree-anchor > .fa-folder:before {
	content: "\f07b";
	color: #ef9308;
}
*/
/* 각 페이지의 헤더 설정 */
.page-heading {
	border-top: 0;
	padding: 0 0px 15px 0px;
}

/* 각 페이지의 hr 설정 */
.page-heading-hr {
	margin-top: 1rem;
	margin-bottom: 0.5rem;
	border: 0;
	border-top: 1px solid rgba(0,0,0,.1);
	width: 100%;
}

/* datatables 컬럼 가운데 정렬 */
.table-align-center {
	text-align: center;
}

/* datatables 추가 헤더 설정 */
#datatableAddHeader .form-control {
	width: auto;
	display: inline;
}
  
/* datatables 추가 헤더의 하위 info 설정 */
div.dataTables_info {
	clear: both;
}

/* datatables 버튼 css 변경 */
.btn-secondary {
	color: #000;
	background-color: #fff;
	border-color: #E5E6E7;
}

/* datatables 정렬 위치 */
table.dataTable thead > tr > th:not(.sorting_disabled) {
	padding-left: 30px;
}
table.dataTable thead > tr > th .sorting_asc,
table.dataTable thead > tr > th .sorting_desc {
    padding-left: 30px !important;
    padding-right: initial !important;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after {
    left: 8px !important;
    right: auto !important;
}

.btn-secondary:hover {
	color: #FFF;
	background-color: #1586e4;
	border-color: #E5E6E7;
}

/** jstree 인던트 조정 default(24px)*/
.jstree-default .jstree-node {
	margin-left: 10px !important;
}

/* 사용자 하단 접속기 */
.user-footer-connect {
	display: inline-block;
	width: 220px;
	padding: 10px 20px 0 10px;
	border-right: solid 1px #eee;
}

.footer.fixed {
	margin-left: 0px !important;
	padding: 0px !important;
	z-index: 2002;
}

/* 필수 입력 박스 */
.has-required .form-control, .has-required .form-control:focus {
	border-color: #1586E4;
}

/* 초기화 패스워드 변경 */
.init-box {
	max-width: 700px;
	z-index: 100;
	margin: 0 auto;
	background-color: #fff;
}

#initBox {
	padding: 20px;
}

/* 사용자 기술지원 */
.support > li :hover {
	color: #262626;
	text-decoration: none;
	background-color: #f5f5f5;
}
.support > li > div {
	padding: 3px 20px;
}

/* 열린 사용자 그룹 */
.group_open {
    color: transparent;
    -webkit-text-stroke: 1px #1586E4;
    text-stroke: 1px #1586E4;
}
/* 닫힘 사용자 그룹 */
.group_close {
    color: #1586E4;
}

/* 열린 폴더 */
.material-icons.folder_open:before {
	content: '\e2c8';
	color: #1586E4;
}
/* 닫힌 폴더 */
.material-icons.folder:before {
  content: '\e2c7';
  color: #1586E4;
}

/* 열린 폴더(share) */
.material-icons-outlined.folder_shared:before {
	content: '\e2c9';
	color: #f8ac5a;
}
/* 닫힌 폴더(sharte) */
.material-icons.folder_shared:before {
  content: '\e2c9';
  color: #f8ac5a;
}

/* 열린 볼륨(share) */
.material-icons-outlined.dns:before {
	content: '\e875';
	color: #1586E4;
}
/* 닫힌 볼륨(share) */
.material-icons.dns:before {
  content: '\e875';
  color: #1586E4;
}

/* 볼륨아이콘 닫힘 */
.material-symbols-volume-icon.database::before {
	content: "database"; /* Material Symbols 이름 */
	color: #1586E4;
}
/* 볼륨아이콘 열림 */
.material-symbols-volume-icon-open.database::before {
	content: "database"; /* Material Symbols 이름 */
	color: #1586E4;
}

/* 볼륨(공유)아이콘 닫힘 */
.material-symbols-volumeShare-icon.database::before {
	content: "database"; /* Material Symbols 이름 */
	color: #f8ac5a;
}
/* 볼륨(공유)아이콘 열림 */
.material-symbols-volumeShare-icon-open.database::before {
	content: "database"; /* Material Symbols 이름 */
	color: #f8ac5a;
}
/** 파일 */
.material-icons.description:before {
	content: '\e873';
	color: #1586E4;
}

/** 파일 */
.material-icons.insert_drive_file:before {
	content: '\e24d';
	color: #f8ac5a;
}
/** 사용자 */
.material-icons.person:before {
	content: '\e7fd';
	color: #A5B1C1;
}

/** root */
.fa-building:before {
	content: "\f1ad";
	color: #1586E4;
}

/**
* 공통 색상
* 텍스트 박스, 레디오버튼, 체크박스, 버튼
*/
.btn-success {
	color: #fff;
	background-color: #1586E4;
	border-color: #1586E4;
}

.btn-success:hover, .btn-success:focus, .btn-success.focus {
	color: #fff;
	background-color: #1a7bb9;
	border-color: #1a7bb9;
}

.btn-gray {
	color: #fff;
	background-color: #DEDEDE;
	border-color: #DEDEDE;
}

.btn-green {
	color: #fff;
	background-color: #23C7C9;
	border-color: #23C7C9;
}

.btn-home {
	color: #fff;
	background-color: #1ab394;
	border-color: #1ab394;
}

.btn-home:hover, .btn-home:focus, .btn-home.focus {
    color: #fff;
    background-color: #159178;
    border-color: #159178;
}
.btn-home.disabled, .btn-home:disabled {
    background-color: #cbcbcb;
    border: #cbcbcb;
}

.btn-db {
	color: #fff;
	background-color: #F8AC59 ;
	border-color: #F8AC59 ;
}

.btn-db:hover, .btn-db:focus, .btn-db.focus {
    color: #fff;
    background-color: #F8AC59 ;
    border-color: #F8AC59 ;
}
.btn-db.disabled, .btn-db:disabled {
    background-color: #cbcbcb;
    border: #cbcbcb;
}

/**
* datatables 활성페이지 번호
*/
.page-item.active .page-link {
	background-color: #1586E4;
	border-color: #1586E4;
}

/* jstree 높이 */
.jstree-default .jstree-node {
	min-height: 28px !important;
	color: #212529;
}

/* 서브메뉴 비활성화 버튼 */
.disabled-menu {
	background-color: #CBCBCB !important;
	border-color: #CBCBCB !important;
}

.disabled-color {
	color: #CBCBCB !important;
}

/* 로딩모달 */
#spinnerModal {
	position: fixed;
	top: 0;
	z-index: 9999;
	width: 100%;
	height: 100%;
	display: none;
	/*background: rgba(0,0,0,0.6);*/
}

.navbar-toggler {
	background-color: #1a7bb9;
}
/*

.navbar-toggler {
	padding: .25rem .75rem;
	font-size: 1.25rem;
	line-height: 1;
	background-color: transparent;
	border: 1px solid transparent;
	border-radius: .25rem;
	background-color: #1586E4;
}

.navbar-toggler-icon {
	display: inline-block;
	width: 1.5em;
	height: 1.5em;
	vertical-align: middle;
	content: "";
	background: no-repeat center center;
	background-size: 100% 100%;
}

.collapse:not(.show) {
	display: none;
}
*/
/*
.navbar-dark .navbar-toggler-icon {
	background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(255, 255, 255, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e);
}
*/
/**
 * 모바일 처리 
 */
/* 전체 틀 */
/*
@media screen and (max-width: 768px) {
	.user-footer-connect {
		display: none;
	}
	
	#topExplorer, #topBoard, #topConfig {
		font-size: 1em;
	}

	#navLang {
		display: none;
	}
}
*/
/*
@media (min-width: 576px) {
	.navbar-toggler {
		display: none;
	}
}
*/
@media (min-width: 768px) {
	#page-wrapper {
		min-height: 89.8vh;
	}
	#topExplorer, #topBoard, #topConfig {
		font-size: 2em;
	}
	#navLang {
		display: block;
	}
}

#page-wrapper {
	margin-bottom: 25px;
}

/* csv 버튼 */
.csv-button {
	flex: 0 !important;
	padding: .225rem .75rem;
	border-radius: 3px;
	border-top-right-radius: 3px !important;
    border-bottom-right-radius: 3px !important;
	font-size: inherit;
	border: 1px solid transparent;
	color: #fff;
	background-color: #1586E4;
	border-color: #1586E4;
}

.csv-button:hover, .csv-button.focus {
	color: #fff;
	background-color: #1a7bb9;
	border-color: #1a7bb9;
}

.refresh-button {
	padding: .225rem .75rem;
	border-radius: 3px;
	border-top-right-radius: 3px !important;
	border-bottom-right-radius: 3px !important;
	font-size: inherit;
	border: 1px solid transparent;
	color: #fff;
	background-color: #1586E4;
	border-color: #1586E4;
	margin-right: 20px;
}

.refresh-button:hover, .refresh-button.focus {
	color: #fff;
	background-color: #1a7bb9;
	border-color: #1a7bb9;
}

label, .EllipsText {
	/*width: 100%;*/
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
/* close button */
.ui-widget-content{border:none;}
.ui-dialog-titlebar{border:1px solid #ddd; border-bottom: none;padding:2px;border-radius: 3px;}
.ui-dialog-content{background-color: #fff; border:1px solid #ddd; padding:5px;border-radius: 3px;}
.ui-dialog-titlebar-close {
	position: absolute;
	width: 18px;
	height: 18px;
	opacity: 0.3;
	border:none;
}
.ui-dialog-titlebar-close:hover {
	opacity: 1;
}
.ui-dialog-titlebar-close:before, .ui-dialog-titlebar-close:after {
	position: absolute;
	top:2px;
	left: 10px;
	content: ' ';
	height: 19px;
	width: 2px;
	background-color: #333;
}
.ui-dialog-titlebar-close:before {
	transform: rotate(45deg);
}
.ui-dialog-titlebar-close:after {
	transform: rotate(-45deg);
}
/* FIREFOX FIX OF UGLY SELECT BOXES */
@supports (-moz-appearance:none) {
	SELECT
	{
	-moz-appearance:none !important;
	background: transparent url('data:image/gif;base64,R0lGODlhBgAGAKEDAFVVVX9/f9TU1CgmNyH5BAEKAAMALAAAAAAGAAYAAAIODA4hCDKWxlhNvmCnGwUAOw==') right center no-repeat !important;
	background-position: calc(100% - 5px) center !important;
	}
}

/* Only FireFox */
html {scrollbar-color: #C1C1C1 #F1F1F1;}

input, button {
	height:36px;
}

.form-control {
	height:36px !important;
}

h4 {
	line-height: 1.4;
}

/* Dubble Icon */
.fa-stack-m{
	display: inline-block;
	height: 2em;
	position: relative;
	vertical-align: middle;
	width: 1.3em;
}

/*---------------------------------------------------------------------------------------*/

/** 헤더 */
.navbar-fixed-top {
	border-bottom: none !important;
}

.navbar-fixed-top-pd {
	border-bottom: 1px solid #e7eaec !important;
}

/* tab */
#main-tabs .nav-tabs .nav-item.show .nav-link, #main-tabs .nav-tabs .nav-link.active {
	color: #495057;
	background-color: #F3F3F5;
	border-color: #dee2e6 #dee2e6 #fff;
}

#main-tabs .tabs-container .panel-body {
	height: calc(100vh - 256px);
	overflow-y: auto;
	background: #F3F3F5;
	border: none;
	padding: 0 15px 0 15px;
}

#main-tabs .tabs-container .nav-tabs {
	border-bottom: none;
}

#main-tabs .tabs-container .tab-content > .active, #main-tabs .tabs-container .pill-content > .active {
	 border-top: 1px solid #e7eaec;
	 background: #F3F3F5;
}

#main-tabs .nav-tabs .nav-item.show .nav-link, #main-tabs .nav-tabs .nav-link.active {
	border-color: #dee2e6 #dee2e6 #F3F3F5;
	background: #F3F3F5;
}
/*---------------------------------------------------------------------------------------*/


.dynamic-ellipsis {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	/*display: block;*/
	
  }

/* csv 다운로드 */
.csv-download-link {
	display: inline-block;
	padding-right: 5px;
	cursor: pointer;
	text-decoration: underline;
	padding-top: 14px;
	padding-left: 10px;
	cursor: pointer;
}

.csv-download-link-none {
	display: none;
	padding-right: 5px;
	cursor: pointer;
	text-decoration: underline;
	padding-top: 14px;
	padding-left: 10px;
	cursor: pointer;
}
/**
 * 모바일 처리 
 */
@media screen and (max-width: 768px) {
	/* 상단*/
	#navbarsMenu > div{
		float: left;
		margin-left: 30px;
		margin-top: 17px;
	}
	.navbar-top-links{
		padding-right:10px;
	}
	/* 하단 */
	.user-footer-connect{
		display: none;
	}
	div.footer.fixed > div.float-right{
		display: none;
	}
}
@media screen and (max-width: 480px) {
	/* 리스트 Toolbar 메뉴 */
	.btn-toolbar > button > span {
		display:none;
	}
	.btn-toolbar > button > i {
		margin-left:4px;
	}
	.btn-toolbar > button > span.fa-stack-m { display:block;}
}


.wordbreak {
	word-break: break-all;
}